import ete2
import sys
import StringIO

def main():

    head = """<?xml version="1.0" encoding="UTF-8"?>
    <phyloxml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.phyloxml.org http://www.phyloxml.org/1.10/phyloxml.xsd" xmlns="http://www.phyloxml.org">"""

    tail = """</phyloxml>"""

    P = ete2.Phyloxml()
    P.build_from_file(sys.argv[1])
    T = P.phylogeny[0]
    P.build_from_file(sys.argv[2])
    T2 = P.phylogeny[1]

    for n1, n2 in zip(T.traverse('postorder'), T2.traverse('postorder')):
        n2.phyloxml_clade.taxonomy.append(
            ete2.phyloxml._phyloxml.Taxonomy(
                scientific_name=n1.phyloxml_clade.taxonomy[0].scientific_name))

    tout = StringIO.StringIO()

    T2.export(tout)

    tstr = tout.getvalue()
    tstr = tstr.replace("Phylogeny", "phylogeny") 
    tstr = head + tstr.replace("phy:", "") + tail

    print(tstr)



if __name__ == "__main__":
    main()
